build with --opengl_renderer flag error

  • zaicev9797
    30th January Member 0 Permalink

    I ve tryied to build with no options for the first time, but working build was very slow. I've noticed that my videocard isn't used. So I've try to build it with --opengl-renderer flag and gets error "SDL_GL_SwapBuffers was not declared it this scope.....". So what's wrong with it?

    My system is Ubuntu 18.04

    Edited 6 times by zaicev9797. Last: 30th January
  • jacob1
    30th January Developer 0 Permalink
    Opengl is not supported anymore.

    Your build should have been the same speed as the official release, unless you used --debugging. That would make it a debut build, which has no optimizations and is a little slow, meant for debugging only. (If you are debugging, still use this arg anyway)
  • zaicev9797
    30th January Member 0 Permalink

    I've found an answer. It should to be builded with --release flag

     

    without this option FPS is ~3x slower

    Edited 3 times by zaicev9797. Last: 30th January
  • jacob1
    30th January Developer 0 Permalink
    Edit: post deleted. I thought --release was always on by default, but it's not, you need to specify it manually like you did
    Edited once by jacob1. Last: 30th January